libzypp: zypp::KeyRing::Impl Struct Reference

libzypp 17.38.5

zypp::KeyRing::Impl Struct Reference

`#include <zypp/zypp_detail/keyring_p.h>`

Inheritance diagram for zypp::KeyRing::Impl:

## Public Member Functions
| Impl (const filesystem::Pathname &baseTmpDir)
Public Member Functions inherited from zypp::KeyRingImpl
| KeyRingImpl (const Pathname &baseTmpDir)
void | importKey (const PublicKey &key, bool trusted=false)
void | multiKeyImport (const Pathname &keyfile_r, bool trusted_r=false)
void | deleteKey (const std::string &id, bool trusted)
std::string | readSignatureKeyId (const Pathname &signature)
bool | isKeyTrusted (const std::string &id)
bool | isKeyKnown (const std::string &id)
std::list< PublicKey > | trustedPublicKeys ()
std::list< PublicKey > | publicKeys ()
const std::list< PublicKeyData > & | trustedPublicKeyData ()
const std::list< PublicKeyData > & | publicKeyData ()
void | dumpPublicKey (const std::string &id, bool trusted, std::ostream &stream)
PublicKey | exportPublicKey (const PublicKeyData &keyData)
PublicKey | exportTrustedPublicKey (const PublicKeyData &keyData)
bool | verifyFileSignature (const Pathname &file, const Pathname &signature)
bool | verifyFileTrustedSignature (const Pathname &file, const Pathname &signature)
PublicKeyData | publicKeyExists (const std::string &id)
PublicKeyData | trustedPublicKeyExists (const std::string &id)
void | allowPreload (bool yesno_r)
CachedPublicKeyData::Manip | keyRingManip (const Pathname &keyring)
| Impl helper providing on demand a KeyManagerCtx to manip a cached keyring.
bool | verifyFile (const Pathname &file, const Pathname &signature, const Pathname &keyring)
void | importKey (const Pathname &keyfile, const Pathname &keyring)
PublicKey | exportKey (const std::string &id, const Pathname &keyring)
PublicKey | exportKey (const PublicKeyData &keyData, const Pathname &keyring)
PublicKey | exportKey (const PublicKey &key, const Pathname &keyring)
void | dumpPublicKey (const std::string &id, const Pathname &keyring, std::ostream &stream)
filesystem::TmpFile | dumpPublicKeyToTmp (const std::string &id, const Pathname &keyring)
void | deleteKey (const std::string &id, const Pathname &keyring)
std::list< PublicKey > | publicKeys (const Pathname &keyring)
const std::list< PublicKeyData > & | publicKeyData (const Pathname &keyring)
PublicKeyData | publicKeyExists (const std::string &id, const Pathname &keyring)
| Get PublicKeyData for ID (`false` if ID is not found).
void | preloadCachedKeys ()
| Load key files cached on the system into the generalKeyRing.
const Pathname | generalKeyRing () const
const Pathname | trustedKeyRing () const
zyppng::SignalProxy< void(const PublicKey &)> | sigTrustedKeyAdded ()
zyppng::SignalProxy< void(const PublicKey &)> | sigTrustedKeyRemoved ()

## Detailed Description

Definition at line 20 of file keyring_p.h.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::KeyRing::Impl::Impl | ( | const filesystem::Pathname & | baseTmpDir | ) |

Definition at line 139 of file KeyRing.cc.

The documentation for this struct was generated from the following files:

- zypp/zypp_detail/keyring_p.h
- zypp/KeyRing.cc